QGIS Application - Bug report #14631
Oracle table: wkb wkb access out of bounds
2016-04-07 10:31 AM - Enrico Fiore

Status: Closed

Priority: High

Assignee: Jurgen Fischer

Category: Data Provider/Oracle

Affected QGIS version:2.14.0 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 22596
Description

Hi,

| have a spatial table with geometry as point (more than 3000) with USER_SDO_GEOM_METADATA configured with SRID and extent

information.

An error has occurred while | try to open the table in QGIS 2.14: "wkb access out of bounds". And the table doesn't open. But if |

interrogate the point with the identify tool open the form is open correctly.

The same table it is open in QGIS 2.8.8.

Associated revisions

Revision d07bc183 - 2016-04-08 09:46 PM - Jiirgen Fischer

oracle provider: handle empty geometries (fixes #14631)

Revision dc791fda - 2016-04-08 09:51 PM - Jiirgen Fischer

oracle provider: handle empty geometries (fixes #14631)

(cherry picked from commit d07bc18353c2a11092fbd7e8c3483e9ccadb8822)

History

#1 - 2016-04-08 12:49 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"d07bc18353c2a11092fbd7e8c3483e9ccad9b8822".

#2 - 2016-04-08 12:54 PM - Jiirgen Fischer
- Status changed from Closed to In Progress

#3 - 2016-04-08 04:29 PM - Jiirgen Fischer

- Resolution set to fixed/implemented
- Status changed from In Progress to Closed
